> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/security/security-login-designer/single-sign-on.md).

# Single Sign-On

## Overview

Single Sign-On (SSO) allows users to authenticate once through a trusted provider (e.g., Microsoft, Google) to access your Servoy Cloud applications, avoiding the need for separate usernames and passwords.

## Supported Providers

Servoy Cloud supports the following SSO providers:

* **Google**
* **Microsoft**

## Setup Single Sign-On (SSO) in Servoy Cloud

To set up SSO for your Servoy Cloud application:

1. **Configure Authentication in Servoy Developer**
   * Set the authentication method to `SERVOY_CLOUD`.
2. **Access Servoy Cloud Application Settings**
   * Log in to your Servoy Cloud account.
   * Navigate to `Application` > `Your Application` > `Application Settings` using the **Configure** button.
3. **Create Custom Login**
   * Select the **Create custom login** option to access SSO settings.
4. **Enable Single Sign-On (SSO)**
   * On the Security Login page:
     * Toggle the switch to enable SSO for your chosen provider(s).
     * Enter the required parameters provided by the SSO provider during setup.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/security/security-login-designer/single-sign-on.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
